# -*- perl -*-
use lib qw(t lib);
use strict;
use TestBackup;
use File::Backup qw(backup_numbered backup_auto);
    
plan test => 6;

makefile('a');

my $name = backup_auto('a');
ok($name, 'a~');
fileok('a', $name);

$name = backup_numbered('a');
ok($name, 'a.~1~');
fileok('a', $name);
    
$name = backup_auto('a');
ok($name, 'a.~2~');
fileok('a', $name);

